# Uses of Class
com.logicaldoc.core.communication.Recipient

Packages that use Recipient
Package
Description
com.logicaldoc.core.communication
Classes that model emails and messages and the machinery to work with them.

## Uses of Recipient in com.logicaldoc.core.communication

Methods in com.logicaldoc.core.communication that return Recipient
Modifier and Type
Method
Description
`Recipient`
EMail.`getFrom()`
`Recipient`
Message.`getRecipient(String name)`
Methods in com.logicaldoc.core.communication that return types with arguments of type Recipient
Modifier and Type
Method
Description
`Set<Recipient>`
Message.`getRecipients()`
`Set<Recipient>`
EMail.`getRecipientsBCC()`
`Set<Recipient>`
EMail.`getRecipientsCC()`
`Set<Recipient>`
EMail.`getReplyTo()`
Methods in com.logicaldoc.core.communication with parameters of type Recipient
Modifier and Type
Method
Description
`void`
EMail.`addRecipient(Recipient rec)`
`void`
EMail.`setFrom(Recipient from)`
Method parameters in com.logicaldoc.core.communication with type arguments of type Recipient
Modifier and Type
Method
Description
`void`
Message.`setRecipients(Set<Recipient> recipients)`
`void`
EMail.`setRecipientsBCC(Set<Recipient> recipientsBCC)`
`void`
EMail.`setRecipientsCC(Set<Recipient> recipientsCC)`
`void`
EMail.`setReplyTo(Set<Recipient> replyTo)`
Constructors in com.logicaldoc.core.communication with parameters of type Recipient
Modifier
Constructor
Description
``
`Recipient(Recipient source)`